#!/bin/bash

set -euo pipefail

pkg=grammalecte
if [ "$AUTOPKGTEST_TMP" = "" ] ; then
  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
fi

cp -a /usr/lib/python3/dist-packages/${pkg}/ "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

for python in $(py3versions -s); do
	$python -m unittest discover --verbose
done
